# 70. التغيير: حذف عدة "Photos"

حذف "الصور" المتعددة المحددة.

{% hint style="info" %}
يمكن حذف "الصور" التي أنشأها المستخدم.
{% endhint %}

{% hint style="danger" %}
الحد الأقصى لعدد "الصور" الممكن حذفها هو 25.
{% endhint %}

{% hint style="danger" %}
المفاتيح فقط (`uuid` و `noteUuid`/`commentUuid` اعتمادًا على الكيان الأصل) متاحة في الاستجابة
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
تغيير DeleteNotes {
  deleteNotes(input:{
    notes: [{
      uuid: "<placeholder_for_note_uuid>",
      noteUuid: "<placeholder_for_note_uuid>"
    }, {
      uuid: "<placeholder_for_note_uuid>",
      noteUuid: "<placeholder_for_note_uuid>"
    }, {
      uuid: "<placeholder_for_note_uuid>",
      noteUuid: "<placeholder_for_note_uuid>",
      commentUuid: "<placeholder_for_comment_uuid>"
    }, {
      uuid: "<placeholder_for_note_uuid>",
      noteUuid: "<placeholder_for_note_uuid>",
      commentUuid: "<placeholder_for_comment_uuid>"
    }]
  }) {
    uuid
    noteUuid
    commentUuid
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/70.-altghyyr-hthf-adh-photos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
